High precision timer which triggers signal with fixed interval.

- « Swoole\Process

- Swoole\Process::close »

- PHP Manual
- Swoole\Process
- High precision timer which triggers signal with fixed interval.

# Swoole\Process::alarm

(PECL swoole >= 1.9.0)

Swoole\Process::alarm — High precision timer which triggers signal with fixed interval.

### Description

public static Swoole\Process::alarm(int `$interval_usec`): void

### Parameters

`interval_usec`

### Return Values